package org.gcube.dataanalysis.dataminer.poolmanager.ansible.model;

***REMOVED***
import java.util.Vector;

public class Playbook ***REMOVED***

  private String hostGroupName;
  
  private List<String> roles;
  
  private String remote_user;
  
  public Playbook() ***REMOVED***
    this.roles = new Vector<>();
  ***REMOVED***
  
  public void addRole(String role) ***REMOVED***
    roles.add(role);
  ***REMOVED***
  
  public void applyTo(String hostGroupName) ***REMOVED***
    this.hostGroupName = hostGroupName;
  ***REMOVED***

  public String getHostGroupName() ***REMOVED***
    return hostGroupName;
  ***REMOVED***

  public List<String> getRoles() ***REMOVED***
    return new Vector<>(roles);
  ***REMOVED***

public String getRemote_user() ***REMOVED***
	return remote_user;
***REMOVED***

public void setRemote_user(String remote_user) ***REMOVED***
	this.remote_user = remote_user;
***REMOVED***

public void setHostGroupName(String hostGroupName) ***REMOVED***
	this.hostGroupName = hostGroupName;
***REMOVED***

public void setRoles(List<String> roles) ***REMOVED***
	this.roles = roles;
***REMOVED***
  
***REMOVED***
